typedef struct Tlookup_struct {
   int type;
   int number;
   int gender;
   char * string;
} Tlookup;

Tlist * Tlookup_list_new ();
void Tlookup_list_delete (Tlist * list);
void Tlookup_list_push_back (Tlist * list, char *s, int type, int number, int gender);
void Tlookup_list_read_file (Tlist * list, char *filename);
void Tlookup_list_print_lispish (Tlist * list);

#define UNKNOWN 0

#define PRONOUN       1
#define ARTICLE       2
#define VERB          3
#define JOIN          4
#define POSSESSIVE    6

#define MALE          1
#define FEMALE        2
#define NUETRAL       3
#define THING         4
#define NONE          5

#define SINGULAR      1
#define PLURAL        2
